Eclipse Platform Release 3.7

## org.eclipse.debug.ui.memory
Interface IRepositionableMemoryRendering

All Superinterfaces:
  IAdaptable, IMemoryRendering

All Known Implementing Classes:
  org.eclipse.debug.internal.ui.views.memory.renderings.AbstractBaseTableRendering, AbstractTableRendering, AbstractTextRendering

    public interface IRepositionableMemoryRendering

extends IMemoryRendering

A memory rendering that can be repositioned. Reposition behavior is rendering specific. Typically, reposition means that the rendering should move its cursor/current selection to the given address. However, clients may define its reposition behavior that is suitable for the rendering.

Clients may implement this interface.

Since:
  3.3

Method Summary
`BigInteger` `getSelectedAddress()` Returns the currently selected address of this rendering or `null` if none
`MemoryByte[]` `getSelectedAsBytes()` Returns the currently selected content as `MemoryByte` array.
`void` `goToAddress(BigInteger address)` Position the rendering to the given address.

Methods inherited from interface org.eclipse.debug.ui.memory.IMemoryRendering
`activated, addPropertyChangeListener, becomesHidden, becomesVisible, createControl, deactivated, dispose, getControl, getImage, getLabel, getMemoryBlock, getRenderingId, init, removePropertyChangeListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getSelectedAddress

    BigInteger getSelectedAddress()

  Returns the currently selected address of this rendering or `null` if none

  Returns:
    the currently selected address of this rendering or `null` if none

### getSelectedAsBytes

    MemoryByte[] getSelectedAsBytes()

  Returns the currently selected content as `MemoryByte` array. Returns an empty array if there is no selection.

  Returns:
    the currently selected as `MemoryByte` array or empty if there is no selection.

### goToAddress

    void goToAddress(BigInteger address)
                     throws DebugException

  Position the rendering to the given address.

  Parameters:
    `address` - the address to go to
  Throws:
    `DebugException` - when there is a problem repositioning the rendering to the address

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.